datacache <- new.env(hash=TRUE, parent=emptyenv())

illuminaMousev1BeadID <- function() showQCData("illuminaMousev1BeadID", datacache)
illuminaMousev1BeadID_dbconn <- function() dbconn(datacache)
illuminaMousev1BeadID_dbfile <- function() dbfile(datacache)
illuminaMousev1BeadID_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
illuminaMousev1BeadID_dbInfo <- function() dbInfo(datacache)

illuminaMousev1BeadIDORGANISM <- "Mus musculus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "illuminaMousev1BeadID.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("MOUSECHIP_DB", "illuminaMousev1BeadID", "chip illuminaMousev1BeadID", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(illuminaMousev1BeadID_dbconn())
}

